### Method

# Gdk Clipboard store_async

#### Declaration [src]

    void
    gdk_clipboard_store_async (
      GdkClipboard* clipboard,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously instructs the `clipboard` to store its contents remotely.

If the clipboard is not local, this function does nothing but report success.

The `callback` must call gdk_clipboard_store_finish().

The purpose of this call is to preserve clipboard contents beyond the lifetime of an application, so this function is typically called on exit. Depending on the platform, the functionality may not be available unless a “clipboard manager” is running.

This function is called automatically when a Gtk.Application is shut down, so you likely don’t need to call it.

#### Parameters

`io_priority` | `int`
| The I/O priority of the request.
`cancellable` | `GCancellable*`
| Optional `GCancellable` object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Callback to call when the request is satisfied.
`user_data` | `gpointer`
| The data to pass to callback function.